mscorlib 4.0.0.0 System.EventArgs Contains event data for the Contract.ContractFailed event.
- Constructor
  4.0.0.0
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
  The kind of contract failure.
  The message associated with this contract failure.
  The condition that caused the contract failure.
  The original exception that caused this contract failure, if any.
  Construct a ContractFailedEventArgs.
- Property
  4.0.0.0
  System.String Gets the condition that caused the contract failure. The condition that caused the contract failure.
- Property
  4.0.0.0
  System.Diagnostics.Contracts.ContractFailureKind Gets the kind of contract failure. The kind of contract failure.
- Property
  4.0.0.0
  System.Boolean Gets whether the contract failure has been handled. Whether the contract failure has been handled.
- Property
  4.0.0.0
  System.String Gets the message associated with this contract failure. The message associated with this contract failure.
- Property
  4.0.0.0
  System.Exception Gets the original exception that caused this contract failure, if any. The original exception that caused this contract failure, if any.
- Method
  4.0.0.0
  System.Void Mark this contract failure as having been handled. Marking the contract failure as having been handled suppresses the default contract failure behaviour.
- Method
  4.0.0.0
  System.Void Request that this contract failure unwind the stack by throwing an exception. Marking the contract failure as having been handled suppresses the default contract failure behaviour. Requesting the contract failure unwind the stack suppresses the default contract failure behaviour, and throws a instead.
- Property
  4.0.0.0
  System.Boolean Gets whether the contract failure should unwind the stack. Whether the contract failure should unwind the stack.